﻿using System.Diagnostics;
using Microsoft.Win32;

namespace ALT.Shared;

public class BrowserHelper
{
    // taken from https://stackoverflow.com/questions/742598/open-a-url-in-a-new-browser-process
    public static void OpenInDefaultBrowser(string pathOrUrl)
    {
        pathOrUrl = "\"" + pathOrUrl.Trim('"') + "\"";
        var defBrowserKey = Registry.ClassesRoot.OpenSubKey(@"http\shell\open\command");
        if (defBrowserKey == null || defBrowserKey.ValueCount <= 0 || defBrowserKey.GetValue("") == null) return;
        
        var defBrowser = (string)defBrowserKey.GetValue("");
        if (defBrowser.Contains("%1"))
            defBrowser = defBrowser.Replace("%1", pathOrUrl);
        else
            defBrowser += " " + pathOrUrl;
        string defBrowserProcess;
        string defBrowserArgs;
        if (defBrowser[0] == '"')
        {
            defBrowserProcess = defBrowser[..(defBrowser.Substring(1).IndexOf('"') + 2)].Trim();
            defBrowserArgs = defBrowser[(defBrowser.Substring(1).IndexOf('"') + 2)..].TrimStart();
        }
        else
        {
            defBrowserProcess = defBrowser[..defBrowser.IndexOf(" ")].Trim();
            defBrowserArgs = defBrowser[defBrowser.IndexOf(" ")..].Trim();
        }
        if (new FileInfo(defBrowserProcess.Trim('"')).Exists)
            Process.Start(defBrowserProcess, defBrowserArgs);
    }
}