﻿namespace ALT;

public class AltTestResult
{
    public PassFailCriteria passFailCriteria { get; set; }
    public EnvironmentVariables environmentVariables { get; set; }
    public LoadTestConfiguration loadTestConfiguration { get; set; }
    public TestArtifac__ts testArtifac__ts { get; set; }
    public string testResult { get; set; }
    public string testRunId { get; set; }
    public string displayName { get; set; }
    public string testId { get; set; }
    public string status { get; set; }
    public string startDateTime { get; set; }
    public string endDateTime { get; set; }
    public string executedDateTime { get; set; }
    public string portalUrl { get; set; }
    public string createdDateTime { get; set; }
    public string createdBy { get; set; }
    public string lastModifiedDateTime { get; set; }
    public string lastModifiedBy { get; set; }
}

public class PassFailCriteria
{
    public PassFailMetrics passFailMetrics { get; set; }
}

public class PassFailMetrics
{
    public Condition1 condition1 { get; set; }
}

public class Condition1
{
    public string clientMetric { get; set; }
    public string aggregate { get; set; }
    public string condition { get; set; }
    public double value { get; set; }
    public string action { get; set; }
    public string result { get; set; }
}

public class EnvironmentVariables
{
    public string domain { get; set; }
    public string protocol { get; set; }
    public string threads_per_engine { get; set; }
    public string ramp_up_time { get; set; }
    public string duration_in_sec { get; set; }
}

public class LoadTestConfiguration
{
    public int engineInstances { get; set; }
    public bool splitAllCSVs { get; set; }
    public bool quickStartTest { get; set; }
}

public class TestArtifac__ts
{
    public InputArtifacts inputArtifacts { get; set; }
    public OutputArtifacts outputArtifacts { get; set; }
}

public class InputArtifacts
{
    public ConfigFileInfo configFileInfo { get; set; }
    public TestScriptFileInfo testScriptFileInfo { get; set; }
    public InputArtifactsZipFileInfo inputArtifactsZipFileInfo { get; set; }
    public object[] additionalFileInfo { get; set; }
}

public class ConfigFileInfo
{
    public string url { get; set; }
    public string fileName { get; set; }
    public string fileType { get; set; }
    public string expireDateTime { get; set; }
    public string validationStatus { get; set; }
}

public class TestScriptFileInfo
{
    public string url { get; set; }
    public string fileName { get; set; }
    public string fileType { get; set; }
    public string expireDateTime { get; set; }
    public string validationStatus { get; set; }
}

public class InputArtifactsZipFileInfo
{
    public string url { get; set; }
    public string fileName { get; set; }
    public string fileType { get; set; }
    public string expireDateTime { get; set; }
    public string validationStatus { get; set; }
}

public class OutputArtifacts
{

}

