﻿using ITS.Generate.HtmlReports;
using Microsoft.ApplicationInsights.Extensibility;
using Microsoft.Azure.Functions.Extensions.DependencyInjection;
using Serilog;

[assembly: FunctionsStartup(typeof(Startup))]

namespace ITS.Generate.HtmlReports;

public class Startup : FunctionsStartup
{
    public override void Configure(IFunctionsHostBuilder builder)
    {
        var logger = new LoggerConfiguration()
            .WriteTo.ApplicationInsights(TelemetryConfiguration.CreateDefault(), TelemetryConverter.Traces,
                Serilog.Events.LogEventLevel.Information)
            .Destructure.ToMaximumCollectionCount(10)
            .Destructure.ToMaximumDepth(4)
            .CreateLogger();
        Log.Logger = logger;
    }
}