﻿using ITS.Core;

namespace ITS.Tests;

[TestFixture(Description = "Initial tests for Report API to see if it works")]
public class ItsReportingApiTests
{
    private HttpClient httpClient;

    [SetUp]
    public void Init()
    {
        var url = Environment.GetEnvironmentVariable("REPORTAPIURL") ??
                  "https://localhost:5009/";
        Assert.That(url, Is.Not.Null, "Report API is not null");
        Assert.That(url, Is.Not.Empty, "Report API is not empty");
        var apiKey = Environment.GetEnvironmentVariable("APIKEY") ??
                  "ThisIsmyNTKKey1";
        Assert.That(apiKey, Is.Not.Null, "ApiKey is not null");
        Assert.That(apiKey, Is.Not.Empty, "ApiKey is not empty");
        //init clients
        httpClient = new HttpClient();
        httpClient.BaseAddress = new Uri(url);
        httpClient.DefaultRequestHeaders.Add(AuthOptions.ApiKeyHeaderName, apiKey);
    }

    [Test]
    public async Task Check_If_Db_IsOnline()
    {
        var urlToCheck = "tasks-api-reports/app-health";
        var responseMessage = await httpClient.GetAsync(urlToCheck);
        Assert.That(responseMessage.IsSuccessStatusCode, Is.True, "Database is connected to report api");
    }
}